Qt 5.11 | Qt 3D | C++ Classes | QPhysicalDeviceCreatedChangeBase

Qt 5.11.3 Reference Documentation

# QPhysicalDeviceCreatedChangeBase Class

(Qt3DInput::QPhysicalDeviceCreatedChangeBase)

Base class for handling changes in physical devices. More...

Header: | #include <QPhysicalDeviceCreatedChangeBase>
qmake: | QT += 3dinput
Inherits: | Qt3DCore::QNodeCreatedChangeBase

- List of all members, including inherited members

## Public Functions

| QPhysicalDeviceCreatedChangeBase(const Qt3DInput::QAbstractPhysicalDevice *device)
Qt3DCore::QNodeIdVector | axisSettingIds() const

- 3 public functions inherited from Qt3DCore::QNodeCreatedChangeBase
- 4 public functions inherited from Qt3DCore::QSceneChange

## Detailed Description

Base class for handling changes in physical devices.

## Member Function Documentation

### QPhysicalDeviceCreatedChangeBase::QPhysicalDeviceCreatedChangeBase(const Qt3DInput::QAbstractPhysicalDevice *device)

Default constructs an instance of QPhysicalDeviceCreatedChangeBase.

### Qt3DCore::QNodeIdVector QPhysicalDeviceCreatedChangeBase::axisSettingIds() const

Returns a list of node ids.